Annons

Cyberpunk 2077 har uppdaterats till version 1.12 – fixar sårbarhet i moddar

Annons

Tidigare i veckan varnade CD Projekt Red att spelarna inte bör använda Cyberpunk 2077 med moddar. Anledningen är en allvarlig sårbarhet som gör att datorn utsätts för risker.

Sårbarheten var inte i själva spelet, utan hur spelet hanterar speciellt skapade sparfiler som nyttjar externa dll-filer. Något som i värsta fall gör malware körbart på datorn.

Lästips: Se alla våra nyheter om Cyberpunk 2077 här

Annons

Med uppdateringen till version 1.12 fixar CD Projekt Red den nämnda sårbarheten och det är en minst sagt liten så kallad hotfix. Här är extra ändringsloggen:

This update addresses the vulnerability that could be used as part of remote code execution (including save files):

Fixed a buffer overrun issue. Removed/replaced non-ASLR DLLs.

Uppdateringen är bara 1,5MB på PC (Steam) och lär inte vara mycket större eller mindre på andra plattformar. Vi rekommenderar att du installerar den så fort du kan.

Tidigare uppdaterats Cyberpunk 2077 med en annan hotfix, version 1.11, vars enda uppgift var att fixa ett ensamt problem med uppdraget Down on the Street.

Annons

En annan fix som släppts under 2021 löste ett problem med att sparfiler över 8MB i storlek blev korrupta bortom räddning. Ouch!